Create an employee documentpost https://{hrsd-dochub-service}/hrsd/dochub/v1/employee-documentsCreate an Employee Document on UKG HR Service Delivery. If both employeeId and employeeExternalId fields are filled in then employeeExternalId is ignoredBody ParamsDocument with file ID and optionsemployeeIdstringID of the Employee for whom the Document is uploaded. Mandatory if externalEmployeeId is not providedemployeeExternalIdstringExternal ID of the Employee for whom the Document is uploadeddocumentCategoryIdstringrequiredDocument Category ID, the document belongs todocumentTitlestringTitle of the Documentdatedate-timeDate explicitly passed at the Document upload via the API. If available, it will be used instead of the creation date to sort the DocumentorganizationIdsarray of stringsOrganization IDs, inherited from the employee, the Document is attached to. When uploading a document, if this parameter is specified in the call, the document will be associated with all of the organizations passed. Note: the employee must belong to these organizations via an active or an inactive registration references. If this parameter is not specified, the document will be associated with all of the employee’s active organizations for current employees or with all of the employee’s inactive organizations for terminated employeesorganizationIdsADD stringmetadataarray of objectsmetadataADD objectexternalReferencestringExternal document reference to help identify the Document in external tools or filing systemsexternalReferenceIsUniquebooleanDefaults to falseIs the External document reference for a site unique (true)? or not (false)truefalseuploadedFileobjectuploadedFile objectHeadersacceptstringenumDefaults to application/jsonGenerated from available response content typesapplication/jsonapplication/problem+jsonAllowed:application/jsonapplication/problem+jsonResponses 201The created Document 400Bad Request 401Unauthorized access. 403Forbidden. 409Conflict, the document already exists 422Unprocessable Entity 500Internal Server Error.Updated 5 months ago